repo/gentoo:master commit in: www-apps/chromedriver-bin/
"Matt Jolly" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1787107467.4f47eaad6bf7dffc938cd5530832cd95e80792d7.kangie@gentoo> |
commit: 4f47eaad6bf7dffc938cd5530832cd95e80792d7
Author: Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 21:50:00 2026 +0000
Commit: Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 02:44:27 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f47eaad
www-apps/chromedriver-bin: automated update (151.0.7922.169)
Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>
www-apps/chromedriver-bin/Manifest | 1 +
.../chromedriver-bin-151.0.7922.169.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/www-apps/chromedriver-bin/Manifest b/www-apps/chromedriver-bin/Manifest
index 437de57f3286..d6a1b7564688 100644
--- a/www-apps/chromedriver-bin/Manifest
+++ b/www-apps/chromedriver-bin/Manifest
@@ -1,3 +1,4 @@
DIST chromedriver-bin-150.0.7871.181.linux64.zip 11041992 BLAKE2B 8e9a245eb58f029f94840011271927fdd5289d24f3bfdc9d4043c366b886f66300e21fb386379a1b9dcc575428d249dd84f83854e92483cd2883a53cca8dd874 SHA512 64c32bb132f052856536979d397d4191158e536dfcc207c8f2831d1b831eb660d21d32a52a6990656f70ac5c0bc8b70286d61f61c0c86ae1d96621ec3a380fb9
DIST chromedriver-bin-151.0.7922.108.linux64.zip 11064615 BLAKE2B bacb9a0f07a587be0c20c842e51948bb932cb8efb72b958f9069e92e34e5dd51165e12fb96f935d3cb078cbda0819b9d9fe9f1faf37f18e1fda3646bab29d8fa SHA512 2a6f024a5e7ff314060c2d6c7b12cd38738138458664a4b5f4036517613f2acc6e29719872abcbf995685c3bb848ed6c150b3078304a134f35bdb8185939dd1c
DIST chromedriver-bin-151.0.7922.137.linux64.zip 11068517 BLAKE2B 97fdfa5cd6598ce78d7c6e7ce37d8b557e01576867dae5b026716833d763347a49e36b4c68ca81a517b1c18bfe4b0501dffd5e03bbb853158cb41d5965513800 SHA512 0067024aabbef741fcab18e91a55d8ad9707cc74783bb9c06dd76ce385edadedf6d1eee074869271ddb19fde35e70c9444c09659bbd8bb79426c6518b6ae2dd6
+DIST chromedriver-bin-151.0.7922.169.linux64.zip 11133352 BLAKE2B cb76b1e84c8395c3c4d148acbad22eba39114595b61ce4901ca718dd4b617b2df62a393a3442a36f9fae235b93ff72c9e2fccc758f39a2c77f2a057fa6980313 SHA512 5dabaacba1446322a34ec47ccfe004a69f0c193e28a7fdcfa1b2dac859c5b213588d3a9e83558dad0a03ca18e75fce62d16f64bcce07a060d4e07060e82309e5
diff --git a/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.169.ebuild b/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.169.ebuild
new file mode 100644
index 000000000000..c2f34e712674
--- /dev/null
+++ b/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.169.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# See https://googlechromelabs.github.io/chrome-for-testing/#stable for URLs
+DESCRIPTION="WebDriver for Chrome"
+HOMEPAGE="https://sites.google.com/corp/chromium.org/driver/"
+SRC_URI="amd64? ( https://storage.googleapis.com/chrome-for-testing-public/${PV}/linux64/chromedriver-linux64.zip -> ${P}.linux64.zip )"
+S="${WORKDIR}/chromedriver-linux64"
+
+LICENSE="google-chrome"
+SLOT="0"
+KEYWORDS="-* amd64"
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+ sys-libs/glibc
+ www-client/google-chrome
+ !www-client/chromium
+"
+BDEPEND="app-arch/unzip"
+
+QA_PREBUILT="usr/bin/chromedriver"
+
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "${PN} only works on supported architectures (amd64)."
+}
+
+src_install() {
+ dobin chromedriver
+}